import request from "@/utils/request";
import http from "@/utils/axios";

// 日报列表
export function getReportDay(date) {
  return request({
    url: `/power/report/day?reportDate=${date}`,
    method: "get",
  });
}

//日报导出
export function dayExport(date) {
  return request({
    url: `/power/report/dayExport?reportDate=${date}`,
    method: "post",
    responseType: "blob",
  });
}
// 周报列表
export function getReportWeek(startDate, endDate) {
  return request({
    url: `/power/report/week?startDate=${startDate}&endDate=${endDate}`,
    method: "get",
  });
}
